[Rainmeter]
Update=1000

[MeasureTrack]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackName

[MeasureArtist]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackArtist

[MeasureAlbum]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackAlbum

[MeasureTime]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetPlayerPosition

[MeasureTotalTime]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackTime

[MeasureTMinute]
Measure=Calc
Formula=(MeasureTime - (MeasureTime % 60)) /60

[MeasureTSecond]
Measure=Calc
Formula=MeasureTime % 60

[MeasureTZero]
Measure=Calc
Formula=(MeasureTime % 60) < 10 ? 0 : 1
Substitute="1":""

[MeasureProgress]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetPlayerPositionPercent
MaxValue=100

[MeasurePrev]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=PreviousTrack

[MeasurePause]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=PlayPause

[MeasureNext]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=NextTrack

[MeasureArt]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackArtwork

[MeasureShow]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=ToggleiTunes 

[StyleText]
H=16
W=115
ClipString=1
FontFace=Segoe UI
FontSize=8
StringAlign=LEFT
StringStyle=Bold
AntiAlias=1

[StyleButton]
X=16r
Y=55
FontColor=0,0,0,255
StringStyle=Bold
FontSize=12
StringAlign=Right
FontFace=Webdings
AntiAlias=1
Hidden=0


[CoverDefaultBG]
Meter=IMAGE
ImageName=Speaker.png
X=140
Y=25
w=50
h=50


[Cover]
Meter=IMAGE
ImageName=Cover.png
X=131
Y=10


[Icon]
Meter=IMAGE
MeasureName=MeasureArt
X=-1r
Y=r
H=67
W=69

[IconBack]
Meter=IMAGE
ImageName=BG.png
X=-135r
Y=-5
w=250
h=170


[Track]
Meter=STRING
MeterStyle=StyleText
MeasureName=MeasureTrack
StringAlign=Right
X=115
Y=25
FontColor=0,0,0,255

[Artist]
Meter=STRING
MeterStyle=StyleText
MeasureName=MeasureArtist
X=r
Y=15r
FontColor=0,0,0,255
FontSize=8
StringAlign=Right


[Time]
Meter=STRING
MeterStyle=StyleText
MeasureName=MeasureTMinute
MeasureName2=MeasureTZero
MeasureName3=MeasureTSecond
MeasureName4=MeasureTotalTime
X=r
Y=15r
H=16
W=115
StringAlign=Right
FontColor=0,0,0,255
AntiAlias=1
Text="%1.%2%3 / %4"

[Prev]
Meter=STRING
MeterStyle=StyleButton
X=80
Y=20r
Text="7"
LeftMouseDownAction=!Execute [!RainmeterShowMeter PrevPush][!RainmeterHideMeter Prev][!RainmeterRedraw]

[PrevPush]
Meter=STRING
MeterStyle=StyleButton
X=r
Y=r
FontColor=0,0,0,255
Text="7"
LeftMouseUpAction=!Execute [!RainmeterPluginBang "MeasurePrev"][!RainmeterHideMeter PrevPush][!RainmeterShowMeter Prev][!RainmeterRedraw]

[Play]
Meter=STRING
MeterStyle=StyleButton
X=16r
Y=r
Text=";"
LeftMouseDownAction=!Execute [!RainmeterShowMeter PlayPush][!RainmeterHideMeter Play][!RainmeterRedraw]

[PlayPush]
Meter=STRING
MeterStyle=StyleButton
X=r
Y=r
FontColor=0,0,0,255
Text=";"
LeftMouseUpAction=!Execute [!RainmeterPluginBang "MeasurePause"][!RainmeterHideMeter PlayPush][!RainmeterShowMeter Play][!RainmeterRedraw]

[Next]
Meter=STRING
MeterStyle=StyleButton
X=16r
Y=r
Text="8"
LeftMouseDownAction=!Execute [!RainmeterShowMeter NextPush][!RainmeterHideMeter Next][!RainmeterRedraw]

[NextPush]
Meter=STRING
MeterStyle=StyleButton
X=r
Y=r
FontColor=0,0,0,255
Text="8"
LeftMouseUpAction=!Execute [!RainmeterPluginBang "MeasureNext"][!RainmeterHideMeter NextPush][!RainmeterShowMeter Next][!RainmeterRedraw]

[ProgressBackground]
Meter=IMAGE
SolidColor=0,0,0,255
X=133
Y=100
W=60
H=1
 
[Progress]
MeasureName=MeasureProgress
Meter=BAR
X=r
Y=r
W=60
H=1
BarColor=255,0,0,255
BarOrientation=Horizontal
Flip=0

----------------------------------------------------------------

[TitleiTunes]
Meter=STRING
X=140
Y=130
StringStyle=Normal
StringAlign=RIGHT
FontColor=255,255,255,100
FontSize=12
FontFace=Digital Sans EF
AntiAlias=1
Text="iTunes"

=====================================================================================